guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mike Jumper <mike.jum...@guac-dev.org>
Subject Re: vnc guacd segfault after upgrading from 0.9.10 to 0.9.12
Date Mon, 24 Apr 2017 02:52:56 GMT
1) Can you confirm that you haven't installed Guacamole packages
provided by your distribution? Such packages would conflict with the
result of the build, resulting in guacd loading older,
binary-incompatible versions of its protocol support plugins.

2) What is the output of:

    ldd /usr/local/sbin/guacd | grep guac

and:

    ldd /usr/local/lib/libguac-client-vnc.so | grep guac

?

Thanks,

- Mike


On Fri, Apr 21, 2017 at 3:50 PM, Philip Herbert <mail@pherbert.de> wrote:
> Hello,
>
>
>
> after upgrading from 0.9.10 to 0.9.12 I can no longer connect via vnc.
>
>
>
> Apr 22 00:38:00 guacamole guacd[3189]: Creating new client for protocol
> "vnc"
>
> Apr 22 00:38:00 guacamole guacd[3189]: Connection ID is
> "$1d54e86d-fd79-466e-b22f-425510b76060"
>
> Apr 22 00:38:00 guacamole guacd[3682]: Cursor rendering: local
>
> Apr 22 00:38:00 guacamole guacd[3682]: User
> "@28231e99-aed6-47c9-8d01-8437597cb0b6" joined connection
> "$1d54e86d-fd79-466e-b22f-425510b76060" (1 users now present)
>
> Apr 22 00:38:00 guacamole kernel: [ 2137.939066] guacd[3689]: segfault at
> 57d00 ip 00007f5bfabd5472 sp 00007f5bfb7fdd68 error 4 in
> libvncclient.so.1.0.0[7f5bfabcb000+1e000]
>
> Apr 22 00:38:00 guacamole guacd[3189]: Connection
> "$1d54e86d-fd79-466e-b22f-425510b76060" removed.
>
>
>
> system is ubuntu LT 14.04, both guac versions (old and new) have been build
> from source.
>
>
>
> Any Idea ?
>
>
>
> Thanks, Philip
>
>
>
>

Mime
View raw message